<?php 

error_reporting(0);
ini_set(“display_errors”, 0 );
include "protege_professor.php";

$nome             = $_POST['nome_imagem'];
$idusuario        = $_POST['usuario'];
$emp              = $_POST['idempreendimento'];




//#########################################  Funcoes Grava Log   #############################################

function nome_user1($id){
                include "conexao.php";
                     $query_igpm = "SELECT nome_cli FROM cliente where idcliente = $id";

                     $executa_igpm = mysqli_query ($db, $query_igpm);


                       while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos

                              $nome_cli        = $buscar_amigoc['nome_cli'];
                       }
                       return $nome_cli;

         } 

         function nome_empreendimento($id){
                include "conexao.php";
                     $query_igpm = "SELECT descricao_empreendimento FROM `empreendimento_cadastro` where idempreendimento_cadastro = $id";

                     $executa_igpm = mysqli_query ($db, $query_igpm);


                       while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos

                              $descricao_empreendimento        = $buscar_amigoc['descricao_empreendimento'];
                       }
                       return $descricao_empreendimento;

         } 



        function grava_log($data_log,$usuario_id,$descricao_log){
           include "conexao.php";
          
                $query_log = "insert into log (data_log,usuario_id,descricao_log) values('$data_log','$usuario_id','$descricao_log')";
                $executa_log = mysqli_query($db, $query_log);
                return 1;
        }
         

         include "conexao.php";  

        date_default_timezone_set('America/Sao_Paulo');              
        $data_log = date('d-m-Y H:i:s');         // data e hr no momento
        $nome_usuario = nome_user1($idusuario); //nome usuario sessao
        $nome_emp     = nome_empreendimento($emp);
        $descricao_log = "Usuário ".$nome_usuario ." anexou o arquivo : ".$nome." no empreendimento , ".$nome_emp;
        grava_log($data_log,$idusuario,$descricao_log);
        // echo "cheguei aqui...;".$descricao_log; die();

//           echo json_encode();



//######################################### " FIM " Funcoes Grava Log   ######################################    


//echo json_encode(['id_usuario' => $emp]);
       
?>